# ARBQueryBufferObject (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class ARBQueryBufferObject

    java.lang.Object
      org.lwjgl.opengl.ARBQueryBufferObject

    public final class ARBQueryBufferObject

extends java.lang.Object

Field Summary
`static int` `GL_QUERY_BUFFER` Accepted by the <target> parameter of BindBuffer, BufferData, BufferSubData, MapBuffer, UnmapBuffer, MapBufferRange, GetBufferSubData, GetBufferParameteriv, GetBufferParameteri64v, GetBufferPointerv, ClearBufferSubData, and the <readtarget> and <writetarget> parameters of CopyBufferSubData:
`static int` `GL_QUERY_BUFFER_BARRIER_BIT` Accepted in the <barriers> bitfield in MemoryBarrier:
`static int` `GL_QUERY_BUFFER_BINDING` Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static int` `GL_QUERY_RESULT_NO_WAIT` Accepted by the <pname> parameter of GetQueryObjectiv, GetQueryObjectuiv, GetQueryObjecti64v and GetQueryObjectui64v:

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_QUERY_RESULT_NO_WAIT

    public static final int GL_QUERY_RESULT_NO_WAIT

  Accepted by the <pname> parameter of GetQueryObjectiv, GetQueryObjectuiv, GetQueryObjecti64v and GetQueryObjectui64v:

  See Also:
    Constant Field Values

### GL_QUERY_BUFFER

    public static final int GL_QUERY_BUFFER

  Accepted by the <target> parameter of BindBuffer, BufferData, BufferSubData, MapBuffer, UnmapBuffer, MapBufferRange, GetBufferSubData, GetBufferParameteriv, GetBufferParameteri64v, GetBufferPointerv, ClearBufferSubData, and the <readtarget> and <writetarget> parameters of CopyBufferSubData:

  See Also:
    Constant Field Values

### GL_QUERY_BUFFER_BINDING

    public static final int GL_QUERY_BUFFER_BINDING

  Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_QUERY_BUFFER_BARRIER_BIT

    public static final int GL_QUERY_BUFFER_BARRIER_BIT

  Accepted in the <barriers> bitfield in MemoryBarrier:

  See Also:
    Constant Field Values

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.